function xp=proj_unit_simplex(y)
% INPUT
% ======================
% y ........a column vector 
% OUTPUT
% ======================
% xp .......the orthogonal projection of y onto the unit simplex

f=@(lam)sum(max(y-lam,0))-1;
 
n=length(y);
lb=min(y)-2/n;
ub=max(y);
lam=bisection(f,lb,ub,1e-10)
xp=max(y-lam,0);
